Package Details: hledger-git 20191113-2

Git Clone URL: https://aur.archlinux.org/hledger-git.git (read-only, click to copy)
Package Base: hledger-git
Description: The hledger command-line and web-based accounting tool
Upstream URL: http://hledger.org
Licenses: GPL3
Conflicts: hledger, hledger-ui, hledger-web
Provides: hledger, hledger-ui, hledger-web
Submitter: atweiden
Maintainer: harrisonthorne
Last Packager: harrisonthorne
Votes: 10
Popularity: 0.000032
First Submitted: 2015-11-17 19:39
Last Updated: 2020-03-05 23:11

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2

milos commented on 2016-08-04 22:12

The same failure in package() occurs for me:

Compiler version mismatched, found ghc-8.0.1 (x86_64), but expected minor version match with ghc-7.10.3 (x86_64) (based on resolver setting in /tmp/yaourt-tmp-milos/aur-hledger-git/src/hledger/stack.yaml).

RunningDroid commented on 2016-07-21 01:27

Build fails for me:

==> Starting package()...
-> Installing license...
-> Installing...
Compiler version mismatched, found ghc-8.0.1 (x86_64), but expected minor version match with ghc-7.10.3 (x86_64) (based on resolver setting in /home/runningdroid/packages/tmp/hledger-git/src/hledger/stack.yaml).
Try running "stack setup" to install the correct GHC into /home/runningdroid/.stack/programs/x86_64-linux/
==> ERROR: A failure occurred in package().
Aborting...

sasvari commented on 2016-05-02 22:29

also broken here, but with a different error:

Caching build plan
Fetched package index.
Populated index cache.
Running /usr/bin/git reset --hard 24a88489cdca18c14a869c06054d1409cb8b20ba in directory /home/user/.cache/pacaur/hledger-git/src/hledger/.stack-work/downloaded/711c345e233d408f2668201ef05a7e7afd9bfc9a16283ff1d4f0d83b2deb6f4a.tmp/ exited with ExitFailure 128


fatal: Could not parse object '24a88489cdca18c14a869c06054d1409cb8b20ba'.

Please ensure that commit 24a88489cdca18c14a869c06054d1409cb8b20ba exists within https://github.com/simonmichael/wai
==> ERROR: A failure occurred in package().
Aborting...

FlorianJacob commented on 2016-04-30 20:52

The build is currently broken for me:

==> Validating source files with sha256sums...
hledger ... Skipped
==> Extracting sources...
-> Creating working copy of hledger git repo...
Cloning into 'hledger'...
done.
==> Starting pkgver()...
==> Updated version: hledger-git 20160429-1
==> Entering fakeroot environment...
==> Starting package()...
-> Installing license...
-> Installing documentation...
cp: cannot stat 'hledger/hledger.1.md': No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build hledger-git.
==> Restart building hledger-git ? [y/N]


Maybe the filename has changed, or am I missing something?

atweiden commented on 2016-02-28 05:10

Where does hledger break without ncurses5-compat-libs? It seems to build ok without it.

geekinthesticks commented on 2016-02-17 15:16

Now seems to require ncurses5-compat-libs 6.0-2 from AUR.

Please ignore request for package deletion. I must have been asleep and clicked the wrong button!